﻿@model TesteCsharp.Models.Servicos

@{
    ViewData["Title"] = "Create";
}

<h1>Cadastro</h1>

<h4>Serviços</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Descricao" class="control-label"> Descrição </label>
                <input asp-for="Descricao" class="form-control" />
                <span asp-validation-for="Descricao" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DataAtendimento" class="control-label"> Data de Atendimento </label>
                <input asp-for="DataAtendimento" class="form-control" />
                <span asp-validation-for="DataAtendimento" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Valor" class="control-label"></label>
                <input asp-for="Valor" class="form-control" />
                <span asp-validation-for="Valor" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Tipo" class="control-label"></label>
                <input asp-for="Tipo" class="form-control" />
                <span asp-validation-for="Tipo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="IdCliente" class="control-label"></label>
                <select asp-for="IdCliente" class ="form-control" asp-items="ViewBag.IdCliente"></select>
            </div>
            <div class="form-group">
                <label asp-for="IdFornecedor" class="control-label"></label>
                <select asp-for="IdFornecedor" class ="form-control" asp-items="ViewBag.IdFornecedor"></select>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
